scsi_inq_str
Prev | drivers/scsi/scsi_scan.c | Next

## Name

scsi_inq_str — print INQUIRY data from min to max index, strip trailing whitespace

## Synopsis

`unsigned char * scsi_inq_str (` | unsigned char * | buf,
| unsigned char * | inq,
| unsigned | first,
| unsigned | end`)`;

## Arguments

`buf`

  Output buffer with at least end-first+1 bytes of space

`inq`

  Inquiry buffer (input)

`first`

  Offset of string into inq

`end`

  Index after last character in inq

Prev | Up | Next
scsi_add_lun | Home | scsi_probe_and_add_lun